# source [find interface/stlink-dap.cfg]
# transport select dapdirect_swd

# set WORKAREASIZE 0x2000
# set CHIPNAME STM32H743ZI
# set BOARDNAME NUCLEO-H743ZI

source [find target/stm32h7x.cfg]

# source [find board/st_nucleo_h743zi.cfg]


reset_config srst_only srst_nogate connect_assert_srst

$_CHIPNAME.cpu0 configure -event gdb-attach {
        echo "Debugger attaching: halting execution"
        gdb_breakpoint_override hard
}

$_CHIPNAME.cpu0 configure -event gdb-detach {
        echo "Debugger detaching: resuming execution"
        resume
}

# Due to the use of connect_assert_srst, running gdb requires
# to reset halt just after openocd init.
rename init old_init
proc init {} {
        old_init
       reset halt
}
